# IGListDisplayDelegate Protocol Reference

# IGListDisplayDelegate

Objective-C

    @protocol IGListDisplayDelegate <NSObject>

Swift

    protocol ListDisplayDelegate : NSObjectProtocol

Implement this protocol to receive display events for a section controller when it is on screen.

- `-listAdapter:willDisplaySectionController:`

  Tells the delegate that the specified section controller is about to be displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          willDisplaySectionController:
              (nonnull IGListSectionController *)sectionController;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, willDisplay sectionController: IGListSectionController)

  #### Parameters

  `listAdapter` | The list adapter for the section controller.
  `sectionController` | The section controller about to be displayed.

- `-listAdapter:didEndDisplayingSectionController:`

  Tells the delegate that the specified section controller is no longer being displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDisplayingSectionController:
              (nonnull IGListSectionController *)sectionController;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, didEndDisplaying sectionController: IGListSectionController)

  #### Parameters

  `listAdapter` | The list adapter for the section controller.
  `sectionController` | The section controller that is no longer displayed.

- `-listAdapter:willDisplaySectionController:cell:atIndex:`

  Tells the delegate that a cell in the specified list is about to be displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          willDisplaySectionController:
              (nonnull IGListSectionController *)sectionController
                                  cell:(nonnull UICollectionViewCell *)cell
                               atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, willDisplay sectionController: IGListSectionController, cell: UICollectionViewCell, at index: Int)

  #### Parameters

  `listAdapter` | The list adapter in which the cell will display.
  `sectionController` | The section controller that is displaying the cell.
  `cell` | The cell about to be displayed.
  `index` | The index of the cell in the section.

- `-listAdapter:didEndDisplayingSectionController:cell:atIndex:`

  Tells the delegate that a cell in the specified list is no longer being displayed.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didEndDisplayingSectionController:
              (nonnull IGListSectionController *)sectionController
                                       cell:(nonnull UICollectionViewCell *)cell
                                    atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, didEndDisplaying sectionController: IGListSectionController, cell: UICollectionViewCell, at index: Int)

  #### Parameters

  `listAdapter` | The list adapter in which the cell was displayed.
  `sectionController` | The section controller that is no longer displaying the cell.
  `cell` | The cell that is no longer displayed.
  `index` | The index of the cell in the section.

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.